%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Crypto and SSL toolkit for Python
Name: 		python-m2crypto
Version: 	0.22.5
Release: 	%mkrel 1
Source0:	http://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-%version.tar.gz
Patch0:		m2crypto-0.22.5-EVP.pbkdf2-overflow.patch
License:	MIT
Group: 		Development/Python
Url: 		https://gitlab.com/m2crypto/m2crypto/
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	swig
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig

%description
M2Crypto is a crypto and SSL toolkit for Python featuring the following:

    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
    * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
    * Unforgeable HMAC'ing AuthCookies for web session management.
    * FTP/TLS client and server.
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.

%prep
%setup -q -n M2Crypto-%version
%patch0 -p1 -b .EVP.pbkdf2-overflow

for i in SWIG/_ec.i SWIG/_evp.i; do
	sed -i -e "s/openssl\/opensslconf/%{multiarch_platform}\/openssl\/opensslconf/" "$i"
done
rm -rf *.egg-info

%build
CFLAGS="$RPM_OPT_FLAGS" ; export CFLAGS
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
	LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README
%{python_sitearch}/M2Crypto
%{python_sitearch}/*.egg-info




%changelog
* Fri Nov 20 2015 philippem <philippem> 0.22.5-1.mga5
+ Revision: 904509
- update to 0.22.5, Fix a buffer overflow in EVP.pbkdf2 (mga#17179)

* Wed Oct 15 2014 umeabot <umeabot> 0.22.3-5.mga5
+ Revision: 740726
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.22.3-4.mga5
+ Revision: 728979
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.22.3-3.mga5
+ Revision: 688136
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Feb 25 2014 philippem <philippem> 0.22.3-1.mga5
+ Revision: 597140
- update to 0.22.3

* Tue Oct 22 2013 umeabot <umeabot> 0.21.1-3.mga4
+ Revision: 543779
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.21.1-2.mga4
+ Revision: 498879
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.21.1-1.mga4
+ Revision: 491668
- Update to 0.21.1

* Sun Jan 13 2013 umeabot <umeabot> 0.20.2-6.mga3
+ Revision: 379095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 0.20.2-5.mga1
+ Revision: 55722
- rebuild to make all pythonegg requires/provides lowercase
- replace the deprecated %%py_requires -d macro with BR python-devel

* Mon Jan 17 2011 pterjan <pterjan> 0.20.2-4.mga1
+ Revision: 21296
- Rebuild for python 2.7

  + blino <blino>
    - imported package python-m2crypto


* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 0.20.2-3mdv2010.1
+ Revision: 532467
- fix build with openssl 1.0 (patch from archlinux)

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.20.2-2mdv2010.1
+ Revision: 511632
- rebuilt against openssl-0.9.8m

* Sat Nov 21 2009 Funda Wang <fwang@mandriva.org> 0.20.2-1mdv2010.1
+ Revision: 468012
- New version 0.20.2

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.17-3mdv2009.0
+ Revision: 242420
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 27 2007 Pascal Terjan <pterjan@mandriva.org> 0.17-1mdv2008.0
+ Revision: 31668
- use python macro
- ship .egg-info
- 0.17


* Wed Nov 30 2005 Lenny Cartier <lenny@mandriva.com> 0.13-4mdk
- reupload and clean spec

* Tue Mar 01 2005 Michael Scherer <misc@mandrake.org> 0.13-3mdk
- Rebuild for new python
- fix compilation ( patch 0 )

* Sun May 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.13-2mdk
- FIx DIRM

* Mon Apr 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.13-1mdk
- First Mandrake package

